/**************************************************
*   Author: Morrison
*   Date:  20 Oct 2020
**************************************************/

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.control.TextField;
import javafx.scene.control.Button;
public class Nested extends Application
{
    public Nested()
    {
    }
    
    @Override
    public void init()
    {
    }

    @Override
    public void start(Stage primary)
    {
        primary.setTitle("Nested Layout Demonstration");
        BorderPane bp = new BorderPane();
        HBox topBox = new HBox();
        bp.setTop(topBox);
        VBox leftBox = new VBox();
        bp.setLeft(leftBox);
        for(int k = 0; k < 5; k++)
        {
            topBox.getChildren().add(new TextField());
        }
        for(int k = 0; k < 10; k++)
        {
            leftBox.getChildren().add(new Button("" + k));
        }
        primary.setScene(new Scene(bp, 600,600));
        primary.show();
    }

    @Override
    public void stop()
    {
    }
}
