/**************************************************
*   Author: Morrison
*   Date:  20 Oct 202020
**************************************************/

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.GridPane;
import javafx.scene.control.Button;

public class GridPaneDemo extends Application
{
    public GridPaneDemo()
    {
    }
    
    @Override
    public void init()
    {
    }

    @Override
    public void start(Stage primary)
    {

        GridPane gp = new GridPane();        
        Button[] buttons = new Button[9];
        for(int k = 0; k < buttons.length; k++)
        {
            buttons[k] = new Button("" + (k + 1));
        }
        gp.add(buttons[0], 0, 0);
        gp.add(buttons[1], 1, 0);
        gp.add(buttons[2], 2, 0);
        gp.add(buttons[3], 0, 1);
        gp.add(buttons[4], 1, 1);
        gp.add(buttons[5], 2, 1);
        gp.add(buttons[6], 0, 2);
        gp.add(buttons[7], 1, 2);
        gp.add(buttons[8], 2, 2);
        primary.setTitle("Grid Pane Demonstration");
        primary.setScene(new Scene(gp, 400, 400));
        primary.show();
    }

    @Override
    public void stop()
    {
    }
}
